Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86199 - neat uses the umask of the user
Summary: neat uses the umask of the user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2003-03-16 22:44 UTC by Acar
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 11:45:51 UTC


Attachments (Terms of Use)

Description Acar 2003-03-16 22:44:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When the program "neat" is run from a user's account (GNOME Menu->System
Settings->Network) with a umask that doesn't allow readable by all permission,
the umask of the user is used for the updated /etc/hosts and /etc/resolv.conf files.

No matter what the umask of the user is, the files should have read permissions
by all.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.umask 0027
2.GNOME Menu->System Settings->Network (enter root password)
3.Change the hosts listing or the network parameters
4."ls -l /etc/hosts" (or /etc/resolv.conf) shows the file is not readable by all.


Actual Results:  "ls -l /etc/hosts" shows permissions as "-rw-r-----"

Expected Results:  ls -l /etc/hosts should show permissions as "-rw-r--r--"

Additional info:

Comment 1 Harald Hoyer 2003-03-20 16:24:41 UTC
yep, fixed in newer versions


Note You need to log in before you can comment on or make changes to this bug.